package fit;

// Copyright (c) 2002 Cunningham & Cunningham, Inc.
// Released under the terms of the GNU General Public License version 2 or later.


public class WikiRunner extends FileRunner {

    public static void main (String argv[]) {
        new WikiRunner().run(argv);
    }

    public void run (String argv[]) {
        args(argv);
        String tags[] = {"wiki", "table", "tr", "td"};
        Parse tables = new Parse(input, tags, 0);   // look for wiki tag enclosing tables
        fixture.doTables(tables.parts);             // only do tables within that tag
        tables.print(output);
        exit();
    }
}
